import { FG_Plugin } from '@flaschengeist/types';
import { PERMISSIONS } from '../permissions';

export const innerRoutes: FG_Plugin.MenuRoute[] = [
  {
    title: 'Dienste',
    icon: 'mdi-briefcase',
    permissions: ['user'],
    route: {
      path: 'schedule',
      name: 'schedule',
      redirect: { name: 'schedule-overview' },
    },
    children: [
      {
        title: 'Dienstübersicht',
        icon: 'mdi-account-group',
        shortcut: true,
        route: {
          path: 'schedule-overview',
          name: 'schedule-overview',
          component: () => import('../pages/Overview.vue'),
        },
      },
      {
        title: 'Dienstverwaltung',
        icon: 'mdi-account-details',
        shortcut: false,
        permissions: [PERMISSIONS.CREATE],
        route: {
          path: 'schedule-management',
          name: 'schedule-management',
          component: () => import('../pages/Management.vue'),
          props: (route) => ({date: route.query.date}),
        },
      },
      {
        title: 'Dienstanfragen',
        icon: 'mdi-account-switch',
        shortcut: false,
        route: {
          path: 'schedule-requests',
          name: 'schedule-requests',
          component: () => import('../pages/Requests.vue'),
        },
      },
    ],
  },
];

export const privateRoutes: FG_Plugin.NamedRouteRecordRaw[] = [
  {
    name: 'new-event',
    path: 'new-event',
    redirect: {name: 'schedule-management'}
  },
  {
    name: 'events-edit',
    path: 'schedule/:id/edit',
    component: () => import('../pages/Event.vue'),
  },
];
